Subject: compiling nv with parallax grabber

From: Work Work Work <[email-masked]>
Date: Sat, 13 Apr 1996 12:35:44 +0800 (SGT)

Hello,

I am trying to compile nv 3.3 with the Parallax Xvideo option.  However,
I encounter the following errors and I cannot locate the functions as
specified.

cc -g -DSUNOS_5 -DCPV_DECODE -DSUNVIDEO -DPARALLAX -DX11GRAB -I/opt2/SUNWits/Graphics-sw/xil/include  -I/opt1/include -I/usr/openwin/include  -I/usr33/nm2/parallax2.3/include -o nv nv.o nv_init.o nv_decode.o nv_encode.o nv_getmulti.o nv_transform.o   cellb_decode.o cellb_encode.o cellb_tables.o  cuseeme_decode.o cuseeme_encode.o ibmvca_grab.o indigo_grab.o  j300_grab.o jvdriverint.o parallax_grab.o parcvid_grab.o pip_grab.o  sgivl_grab.o sunvideo_grab.o videolive_grab.o videopix_grab.o  x11_grab.o vid_color.o vid_grey.o vid_image.o vid_util.o vid_widget.o -L/opt/SUNWits/Graphics-sw/xil/lib  -R/opt2/SUNWits/Graphics-sw/xil/lib -lxil  -L/opt/tcl/lib -ltk -ltcl  -L/usr/openwin/lib -R/usr/openwin/lib  -lXext -lX11  -L/usr33/nm2/parallax2.3/lib  -lthread -lsocket -lnsl -lm
Undefined			first referenced
 symbol  			    in file
XPlxVideoInputSelect                parallax_grab.o
XPlxVideoValueLoad                  parallax_grab.o
XPlxVideoValueQuery                 parallax_grab.o
XPlxQueryVideo                      parallax_grab.o
CPV_Decode                          nv.o
XPlxVideoSqueezeStill               parallax_grab.o
XPlxVideoTag                        parallax_grab.o
ld: fatal: Symbol referencing errors. No output written to nv
*** Error code 1
make: Fatal error: Command failed for target `nv'

Furthermore, I also cannot locate the cpv_decode-sunos5.o as specified
in the Makefile.

Lastly, can nv work with the Parallax PowerVideo or MultiVideo cards?

Thanks in advance.

Regards,

Kwong-Yeong Tung
Computer Centre
National University of Singapore
email:[email-masked]